package com.xunwang.education.feign;

import com.xunwang.commonutils.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

import java.io.IOException;

@FeignClient(name = "SERVICE-PAYMENT")
public interface PayFeign {

    @PostMapping("payment/wx-pay/jsapi/{inviteId}")
    R jsapiPay(@PathVariable String inviteId);

    @GetMapping("payment/order-info/generate/order/{inviteId}")
    R generateOrder(@PathVariable String inviteId);

    @GetMapping("payment/order-info/updateIsRefund/{orderId}")
    void updateIsRefund(@PathVariable String orderId);
}
